import { h } from "@stencil/core";
/**
 *
 *
 * @swedishName Sidhuvud-notifikationsindikator
 */
export class HeaderNotification {
    constructor() {
        this.afNotificationAmount = undefined;
    }
    render() {
        return (h("div", { key: 'b871eb5455115ed11f41ec63e9ccf3b430a54a78', class: "digi-header-notification" }, this.afNotificationAmount > 0 && (h("span", { key: '8274d842bd908fc8c69dc0bcbf87c1e1c612a22a', class: "digi-header-notification__number" }, this.afNotificationAmount < 100
            ? this.afNotificationAmount
            : '+99')), h("slot", { key: '773b37898e58d0b6195dbe4997bce3bfc4d71552' })));
    }
    static get is() { return "digi-header-notification"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["header-notification.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["header-notification.css"]
        };
    }
    static get properties() {
        return {
            "afNotificationAmount": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "en",
                            "text": "The number content inside the notification"
                        }],
                    "text": "Numret som ska skrivas ut som inneh\u00E5ll"
                },
                "getter": false,
                "setter": false,
                "attribute": "af-notification-amount",
                "reflect": false
            }
        };
    }
}
